## WebKitPlugin WebKitPlugin — Represents a plugin, enabling fine-grained control |

## Functions

const gchar * | webkit_plugin_get_name ()
const gchar * | webkit_plugin_get_description ()
const gchar * | webkit_plugin_get_path ()
GList * | webkit_plugin_get_mime_info_list ()
WebKitMimeInfo * | webkit_mime_info_ref ()
void | webkit_mime_info_unref ()
const gchar * | webkit_mime_info_get_mime_type ()
const gchar * | webkit_mime_info_get_description ()
const gchar * const * | webkit_mime_info_get_extensions ()

## Types and Values

struct | WebKitPlugin
| WebKitMimeInfo

## Object Hierarchy

        GBoxed
        ╰── WebKitMimeInfo
        GObject
        ╰── WebKitPlugin

## Description

This object represents a single plugin, found while scanning the various platform plugin directories. This object can be used to get more information about a plugin, and enable/disable it, allowing fine-grained control of plugins. The list of available plugins can be obtained from the WebKitWebContext, with `webkit_web_context_get_plugins()`.

## Functions

### webkit_plugin_get_name ()

    const gchar *
    webkit_plugin_get_name (WebKitPlugin *plugin);

#### Parameters

plugin | a WebKitPlugin |

#### Returns

the name of the plugin.

### webkit_plugin_get_description ()

    const gchar *
    webkit_plugin_get_description (WebKitPlugin *plugin);

#### Parameters

plugin | a WebKitPlugin |

#### Returns

the description of the plugin.

### webkit_plugin_get_path ()

    const gchar *
    webkit_plugin_get_path (WebKitPlugin *plugin);

#### Parameters

plugin | a WebKitPlugin |

#### Returns

the absolute path where the plugin is installed.

### webkit_plugin_get_mime_info_list ()

    GList *
    webkit_plugin_get_mime_info_list (WebKitPlugin *plugin);

Get information about MIME types handled by the plugin, as a list of WebKitMimeInfo.

#### Parameters

plugin | a WebKitPlugin |

#### Returns

a GList of WebKitMimeInfo.

[element-type WebKitMimeInfo][transfer none]

### webkit_mime_info_ref ()

    WebKitMimeInfo *
    webkit_mime_info_ref (WebKitMimeInfo *info);

Atomically increments the reference count of `info` by one. This function is MT-safe and may be called from any thread.

#### Parameters

info | a WebKitMimeInfo |

#### Returns

The passed in WebKitMimeInfo

### webkit_mime_info_unref ()

    void
    webkit_mime_info_unref (WebKitMimeInfo *info);

Atomically decrements the reference count of `info` by one. If the reference count drops to 0, all memory allocated by the WebKitMimeInfo is released. This function is MT-safe and may be called from any thread.

#### Parameters

info | a WebKitMimeInfo |

### webkit_mime_info_get_mime_type ()

    const gchar *
    webkit_mime_info_get_mime_type (WebKitMimeInfo *info);

#### Parameters

info | a WebKitMimeInfo |

#### Returns

the MIME type of `info`

### webkit_mime_info_get_description ()

    const gchar *
    webkit_mime_info_get_description (WebKitMimeInfo *info);

#### Parameters

info | a WebKitMimeInfo |

#### Returns

the description of the MIME type of `info`

### webkit_mime_info_get_extensions ()

    const gchar * const *
    webkit_mime_info_get_extensions (WebKitMimeInfo *info);

Get the list of file extensions associated to the MIME type of `info`

#### Parameters

info | a WebKitMimeInfo |

#### Returns

a `NULL`-terminated array of strings.

[array zero-terminated=1][transfer none]

## Types and Values

### struct WebKitPlugin

    struct WebKitPlugin;

### WebKitMimeInfo

    typedef struct _WebKitMimeInfo WebKitMimeInfo;